//
//  MRDBorderButton.h
//  MRDBottomSheet
//
//  Created by Daniel Miedema on 7/11/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_OPTIONS(NSUInteger, MRDBorderButtonSide) {
    MRDBorderButtonSideTop = 1 << 0,
    MRDBorderButtonSideBottom = 1 << 1,
    MRDBorderButtonSideLeading = 1 << 2,
    MRDBorderButtonSideTrailing = 1 << 3,
};

/// Basic UIButton but with a Border.
/// This does not support being rounded via `layer.cornerRadius` as that will
/// clip the border views.
@interface MRDBorderButton : UIButton
/// Side(s) to add a border to
@property (nonatomic, assign) MRDBorderButtonSide borderSides;

/// Border color to use for the border views.
/// Setting to `nil` will result in clear color being used
@property (nonatomic, null_resettable, copy) UIColor *borderColor;
@end
