#import "MSBasicMapViewController.h"

@interface MSBasicMapViewController () <MRMapViewDelegate>
@property (nonatomic, strong) MRMapView *mapView;
@end

@implementation MSBasicMapViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.edgesForExtendedLayout = UIRectEdgeNone;
    }
    return self;
}

#pragma mark - UIViewController

- (void)loadView {
    self.mapView = [[MRMapView alloc] init];
    self.mapView.delegate = self;
    self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
    self.view = self.mapView;
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Basic Map View";
}

+ (NSString *)exampleInfo {
    return @"Example of a basic unmodified map view.";
}

#pragma mark - MRMapViewDelegate
- (UIViewController *)viewControllerToAddSheetToForMapView:(MRMapView *)mapView {
    return self;
}

- (void)mapPickerDidPickMap:(nonnull MRMap *)map {
    self.mapView.mapKey = map.key;
}


@end
