#import "MSCustomCalloutViewController.h"

@interface MSCustomCalloutViewController () <MRMapViewDelegate>
@property (nonatomic, strong) MRMapView *mapView;
@end

@implementation MSCustomCalloutViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.edgesForExtendedLayout = UIRectEdgeNone;
    }
    return self;
}

#pragma mark - UIViewController

- (void)loadView {
    self.mapView = [[MRMapView alloc] init];
    self.mapView.delegate = self;
    self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
    self.view = self.mapView;
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Custom Callouts";
}

+ (NSString *)exampleInfo {
    return @"Example of how to customize annotation callouts.\n\n"
    @"• All annotations have a smiley image as their callout view.\n";
}

#pragma mark - MRMapViewDelegate

- (MRAnnotationView *)mapView:(MRMapView *)mapView viewForAnnotation:(id<MRAnnotation>)annotation {
    
    UIImageView *smileyView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"Smiley"]];
    
    MRAnnotationView *annotationView = [mapView defaultViewForAnnotation:annotation];
    annotationView.calloutContentView = smileyView;
    annotationView.calloutContentMargin = 20.0;
    
    return annotationView;
}

- (void)mapPickerDidPickMap:(nonnull MRMap *)map {
    self.mapView.mapKey = map.key;
}

- (nonnull UIViewController *)viewControllerToAddSheetToForMapView:(MRMapView *)mapView {
    return self;
}

@end
