//
//  MSEmbeddedMapViewController.m
//  MeridianSamples
//
//  Created by Cody Garvin on 1/25/18.
//  Copyright © 2018 Aruba Networks. All rights reserved.
//

#import "MSEmbeddedMapViewController.h"

@interface MSEmbeddedMapViewController ()
@property (nonatomic, strong) UIView *mapViewContainer;
@property (nonatomic, strong) MRMapViewController *mapViewController;
@end

@implementation MSEmbeddedMapViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    self.view.backgroundColor = [UIColor grayColor];
    
    // Build the mapview that will be embedded
    self.mapViewContainer = [[UIView alloc] initWithFrame:CGRectMake(10, 74, self.view.bounds.size.width - 20.0f, self.view.bounds.size.width - 20.0f)];
    [self.view addSubview:self.mapViewContainer];
    
    self.mapViewController = [[MRMapViewController alloc] initWithEditorKey:[MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]]
                                                      isChildViewController:YES];
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    
    [self addChildViewController:self.mapViewController];
    self.mapViewController.view.frame = self.mapViewContainer.bounds;
    [self.mapViewContainer addSubview:self.mapViewController.view];
    [self.mapViewController didMoveToParentViewController:self];
}

- (void)viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
    
    [self.mapViewController willMoveToParentViewController:nil];
    [self.mapViewController.view removeFromSuperview];
    [self.mapViewController removeFromParentViewController];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Embedded Map View";
}

+ (NSString *)exampleInfo {
    return @"Example of an embedded unmodified map view.";
}
@end
