//
//  MSBasicMapViewController.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/18/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

class MSBasicMapViewController: UIViewController, MRMapViewDelegate, MSExampleViewController {
    private lazy var mapView: MRMapView = {
        let mapView = MRMapView()
        mapView.delegate = self
        mapView.mapKey = MREditorKey(forMap:MSExampleHost.mapID(), app:MSExampleHost.appID())
        return mapView
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        self.view = self.mapView
    }
    
    // MARK: - MRMapViewDelegate

    func mapPickerDidPick(_ map: MRMap) {
        self.mapView.mapKey = map.key
    }
    
    func viewControllerToAddSheetTo(for mapView: MRMapView) -> UIViewController {
        return self
    }

    // MARK: - MSExampleViewController

    static func exampleTitle() -> String {
        return "Basic Map View"
    }

    static func exampleDetail() -> String {
        return "Example of a basic unmodified map view."
    }
}
