//
//  MSEmbeddedMapViewController.swift
//  MeridianSwiftSamples
//
//  Created by Cody Garvin on 6/1/18.
//  Copyright © 2018 Aruba Networks. All rights reserved.
//

import UIKit

class MSEmbeddedMapViewController: UIViewController, MRMapViewDelegate, MSExampleViewController {
    
    var mapViewContainer: UIView?
    var mapViewController: MRMapViewController?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        view.backgroundColor = UIColor.gray;
        
        // Build the mapview that will be embedded
        mapViewContainer = UIView(frame: CGRect(x: 10, y: 74, width: view.bounds.size.width - 20, height: view.bounds.size.width - 20))
        if let mapViewContainer = mapViewContainer {
            view.addSubview(mapViewContainer)
        }
        mapViewController = MRMapViewController(editorKey: MREditorKey(forMap:MSExampleHost.mapID(), app:MSExampleHost.appID()), isChildViewController: true)
    }
    
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        guard let mapViewController = mapViewController, let mapViewContainer = mapViewContainer else { return }
        self.addChildViewController(mapViewController)
        mapViewController.view.frame = mapViewContainer.bounds
        mapViewContainer.addSubview(mapViewController.view)
        mapViewController.didMove(toParentViewController: self)
        
    }
    
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        
        guard let mapViewController = mapViewController else { return }
        
        mapViewController.willMove(toParentViewController: nil)
        mapViewController.view.removeFromSuperview()
        mapViewController.removeFromParentViewController()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func mapPickerDidPick(_ map: MRMap) {
        // Handle any events here when the map is selected
    }
    
    // MARK: - MSExampleViewController
    
    static func exampleTitle() -> String {
        return "Embedded Map View"
    }
    
    static func exampleDetail() -> String {
        return "Example of an embedded unmodified map view."
    }
    
}
